Package ru.bitel.oss.systems.inventory.resource.common.bean

# Class IpResourceSubscriptionReal

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.oss.systems.inventory.resource.common.bean.IpResourceSubscriptionReal

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class IpResourceSubscriptionReal
    extends Id

Лог фактического использования ресурса. Меняется всегда с текущего дня (или в будущем ).

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `IpResourceSubscriptionReal()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `byte[]` | `getAddressFrom()` |
  `byte[]` | `getAddressTo()` |
  `java.util.Date` | `getDateFrom()` |
  `java.util.Date` | `getDateTo()` |
  `int` | `getSubscriberId()` |
  `java.lang.String` | `getSubscriberTitle()` |
  `void` | `setAddressFrom​(byte[] addressFrom)` |
  `void` | `setAddressTo​(byte[] addressTo)` |
  `void` | `setDateFrom​(java.util.Date dateFrom)` |
  `void` | `setDateTo​(java.util.Date dateTo)` |
  `void` | `setSubscriberId​(int subscriberId)` |
  `void` | `setSubscriberTitle​(java.lang.String subscriberTitle)` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IpResourceSubscriptionReal

    public IpResourceSubscriptionReal()

- ## Method Details

  - ### getAddressFrom

    public byte[] getAddressFrom()

  - ### setAddressFrom

    public void setAddressFrom​(byte[] addressFrom)

  - ### getAddressTo

    public byte[] getAddressTo()

  - ### setAddressTo

    public void setAddressTo​(byte[] addressTo)

  - ### getDateFrom

    public java.util.Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom​(java.util.Date dateFrom)

  - ### getDateTo

    public java.util.Date getDateTo()

  - ### setDateTo

    public void setDateTo​(java.util.Date dateTo)

  - ### getSubscriberId

    public int getSubscriberId()

  - ### setSubscriberId

    public void setSubscriberId​(int subscriberId)

  - ### getSubscriberTitle

    public java.lang.String getSubscriberTitle()

  - ### setSubscriberTitle

    public void setSubscriberTitle​(java.lang.String subscriberTitle)